export interface IKanji {
  id: number
  /** Actual type */
  object: 'kanji'
  url: string
  data_updated_at: string
  data: {
    level: number
    document_url: string
    characters: string
    meanings: {
      meaning: string
      primary: boolean
    }[]
    readings: {
      reading: string
      primary: boolean
      type: 'kunyomi' | 'onyomi'
    }[]
    component_subject_ids: number[]
    visually_similar_subject_ids: number[]
  }
}

export interface IRadical {
  id: number
  /** Actual type */
  object: 'radical'
  url: string
  data_updated_at: string
  data: {
    level: number
    document_url: string
    characters: string | null
    character_images: {
      url: string
      metadata: {
        inline_styles?: boolean
        dimensions?: string
      }
      content_type: string
    }[]
    meanings: {
      meaning: string
      primary: boolean
    }[]
    amalgamation_subject_ids: number[]
  }
}
